Aggiornamento delle note di rilascio di Amazon Linux 2022 il 28/09/2022 - Amazon Linux 2022

Amazon Linux 2022 è in versione di anteprima e le funzionalità, i pacchetti e le versioni dei pacchetti inclusi nella versione di anteprima sono soggetti a modifiche.

Le traduzioni sono generate tramite traduzione automatica. In caso di conflitto tra il contenuto di una traduzione e la versione originale in Inglese, quest'ultima prevarrà.

Aggiornamento delle note di rilascio di Amazon Linux 2022 il 28/09/2022

Aggiornamenti principali

Questa è una Release Candidate (RC) aggiornata per Amazon Linux 2022 (AL2022), RC2.

Un RC è una versione quasi pronta per il rilascio, ma è ancora in fase di test. Un RC riceve solo patch e correzioni di bug che portano alla versione Amazon Linux 2022 Generally Available (GA). Un set di funzionalità di distribuzione GA è stabile e non sono previsti cambiamenti importanti tra le versioni RC finali e GA.

Una versione RC non è destinata ai carichi di lavoro di produzione. È destinato a scopi di test e per aiutarti a prepararti per la migrazione ad Amazon Linux 2022.

Amazon Linux 2022 include i seguenti aggiornamenti principali.

  • Questa versione rappresenta la Release Candidate (RC2) aggiornata per Amazon Linux 2022. Puoi usare la Release Candidate per testare la compatibilità con le tue applicazioni o prepararti alla migrazione ad Amazon Linux 2022.

  • Sono state apportate alcune modifiche ai flag di build che si propagheranno in tutti i pacchetti nei prossimi mesi.

  • A partire dalla Release Candidate 0 (RC0), SELinux è passato da una modalità esecutiva a una permissiva per impostazione predefinita. È possibile modificare le impostazioni di SELinux in modalità forzata tramite riga di comando eseguendo ilsetenforce comando.

Modifiche imminenti nelle AMI e nei repository di Release Candidate future.

  • Ilpcre pacchetto precedente verrà rimosso dopoRC1 e sarà completamente sostituito dalpcre2 pacchetto più moderno.

  • Il pacchetto kernel subirà modifiche per migliorare gli aspetti della sicurezza e delle prestazioni e, mentre le funzionalità di base verranno mantenute, alcune funzionalità inutilizzate o obsolete potrebbero essere rimosse nelle future Release Candidate.

Ecosistema Java
  • Ilmavenxmvn, ejavapackages-tools dovrebbe funzionare come previsto, ma le versioni presenti in questa versione non sono ancora state ricostruite dopo una fase di bootstrap. Questi pacchetti verranno ricostruiti senza l'uso dijavapackages-bootstrap prima della disponibilità generale.

Problemi noti
  • Esiste un problema noto a causa del quale l'attivazione della modalità FIPSupdate-crypto-policies —set FIPS comporterà un sistema non funzionante. Questo problema verrà risolto in una versione future.

Aggiornamenti di sicurezza

Contattaci

Se riscontri un problema di sicurezza, contatta il nostro team di sicurezza anziché aprirlo.

Utilizziamo GitHub i problemi per raccogliere feedback su Amazon Linux 2022 e per tenere traccia delle segnalazioni di bug e delle richieste di funzionalità. Puoi esaminare i problemi esistenti per vedere se la tua preoccupazione è già nota. In caso contrario, apri un nuovo numero.

Se hai solo domande su Amazon Linux 2022, non esitare a iniziare o partecipare a una discussione. Il feedback su Amazon Linux 2022 può essere fornito anche tramite ilAWS rappresentante designato.

Principali modifiche rispetto alla prima versione di Tech Preview a RC0

  • Kernel aggiornato dalla 5.10 alla 5.15

  • OpenSSL aggiornato dalla 1.1 alla 3.0

  • AWS CLIaggiornato allaAWS CLI v2

  • Gli strumenti AWS presenti in AL2 sono stati aggiunti ai repository comeecs-agentaws-cfn-bootstrapaws-kinesis-agent,ec2-instance-connect, e altri strumenti.

  • rsyslognon è più installato di default e quindisyslog funziona così, conjournalctl il client che può esaminare i log.system-journald

  • L'impostazione predefinitacurl fa parte delcurl-minimal pacchetto, che supporta i protocolli più diffusi. Puoi passare alla funzionalità completa,curl se necessario, eseguendodnf install --allowerasing curl-full libcurl-full

  • L'impostazione predefinitagnupg è minima, con funzionalità limitate, ma contiene il codice minimo necessario per verificare gli RPM tramite GPG e introduce un numero minimo di pacchetti nelle AMI e nelle immagini dei contenitori. Se hai bisogno dignupg funzionalità complete, puoi ottenere il massimognupg eseguendodnf install --allowerasing gnupg2-full

  • Cura dei pacchetti - Come parte del ciclo di sviluppo, abbiamo curato l'elenco dei pacchetti disponibili nei repository. Ciò ha comportato la rimozione di una serie di pacchetti che non erano più necessari a causa delle dipendenze. Alcuni pacchetti possono essere aggiunti nuovamente al repository man mano che elaboriamo le richieste dei clienti.

  • I tempi di esecuzione delle lingue sono stati aggiornati e alcuni runtime come Ruby sono stati distanziati tra i nomi, consentendo di aggiungere versioni più recenti in future senza rimuovere quelle correnti dai repository.

Repository

Questo aggiornamento del repository e dell'AMI Amazon Linux 2022 include i seguenti nuovi pacchetti.

  • abseil-cpp-20210324.2-5.amzn2022.0.1

  • adcli-0.9.1-10.amzn2022.0.1

  • alsa-plugins-1.2.7.1-1.amzn2022.0.1

  • alsa-utils-1.2.7-1.amzn2022.0.1

  • mlocate-0.26-350.amzn2022

  • python3.10-3.10.4-1.amzn2022.0.1

  • re2-20211101-3.amzn2022

  • realmd-0.17.0-9.amzn2022.0.1

Il repository include i seguenti pacchetti che sono stati aggiornati dall'ultima versione.

alsa-lib-1.2.7.2-1.amzn2022

amazon-rpm-config-221-13.amzn2022

annobin-10.76-1.amzn2022.0.3

automake-1.16.5-9.amzn2022.0.1

aws-kinesis-agent-2.0.8-2.amzn2022

bind-9.16.27-1.amzn2022

clamav-0.103.7-1.amzn2022.0.1

clang-14.0.5-2.amzn2022.0.3

cloud-init-22.2.2-1.amzn2022.1.4

cppcheck-2.7.4-2.amzn2022.0.1

dnf-4.12.0-2.amzn2022.0.1

dracut-055-6.amzn2022.0.4

ecs-init-1.63.1-1.amzn2022

fio-3.32-2.amzn2022.0.1

gcc-11.3.1-2.amzn2022.0.6

gdb-12.1-5.amzn2022

giflib-5.2.1-9.amzn2022

glib2-2.73.2-678.amzn2022

gmp-6.2.1-2.amzn2022

gobject-introspection-1.73.0-2.amzn2022

golang-1.19.1-1.amzn2022.0.1

golang-github-cpuguy83-md2man-2.0.2-20.amzn2022

golist-0.10.1-11.amzn2022

go-rpm-macros-3.1.0-30.amzn2022

grep-3.8-1.amzn2022.0.1

highlight-4.2-2.amzn2022.0.1

kpatch-0.9.4-7.amzn2022

liblognorm-2.0.6-1.amzn2022.0.1

lz4-1.9.4-1.amzn2022

mcstrans-3.2-3.amzn2022.0.1

ocaml-4.13.1-4.amzn2022

ocaml-findlib-1.9.3-2.amzn2022.0.1

ocaml-labltk-8.06.11-3.amzn2022.0.1

ocaml-ocamlbuild-0.14.0-32.amzn2022.0.1

ocaml-srpm-macros-6-6.amzn2022

ocaml-zarith-1.12-5.amzn2022.0.1

pkgconf-1.7.3-7.amzn2022.0.1

pygobject3-3.42.2-2.amzn2022

qpdf-10.6.3-4.amzn2022.0.1

R-4.1.3-1.amzn2022.0.1

rpm-4.16.1.3-12.amzn2022.0.2

ruby3.1-3.1.2-169.amzn2022.0.1

sendmail-8.17.1-5.amzn2022.0.2

slang-2.3.2-9.amzn2022.0.1

systemd-250.8-1.amzn2022.0.1

system-release-2022.0.20220928-0.amzn2022

vim-9.0.327-1.amzn2022.0.1

vsftpd-3.0.5-1.amzn2022

wget-1.21.3-1.amzn2022

wireshark-3.6.7-1.amzn2022.0.2

AMI

Immagine del contenitore Docker

dnf-4.12.0-2.amzn2022.0.1.noarch

dnf-data-4.12.0-2.amzn2022.0.1.noarch

glib2-2.73.2-678.amzn2022.aarch64

glib2-2.73.2-678.amzn2022.x86_64

gmp-6.2.1-2.amzn2022.aarch64

gmp-6.2.1-2.amzn2022.x86_64

grep-3.8-1.amzn2022.0.1.aarch64

grep-3.8-1.amzn2022.0.1.x86_64

libgcc-11.3.1-2.amzn2022.0.6.aarch64

libgcc-11.3.1-2.amzn2022.0.6.x86_64

libgomp-11.3.1-2.amzn2022.0.6.aarch64

libgomp-11.3.1-2.amzn2022.0.6.x86_64

libstdc-11.3.1-2.amzn2022.0.6.aarch64

libstdc-11.3.1-2.amzn2022.0.6.x86_64

lz4-libs-1.9.4-1.amzn2022.aarch64

lz4-libs-1.9.4-1.amzn2022.x86_64

- pcre-8.44-3.amzn2022.1.aarch64

- pcre-8.44-3.amzn2022.1.x86_64

python3-dnf-4.12.0-2.amzn2022.0.1.noarch

python3-rpm-4.16.1.3-12.amzn2022.0.2.aarch64

python3-rpm-4.16.1.3-12.amzn2022.0.2.x86_64

rpm-4.16.1.3-12.amzn2022.0.2.aarch64

rpm-4.16.1.3-12.amzn2022.0.2.x86_64

rpm-build-libs-4.16.1.3-12.amzn2022.0.2.aarch64

rpm-build-libs-4.16.1.3-12.amzn2022.0.2.x86_64

rpm-libs-4.16.1.3-12.amzn2022.0.2.aarch64

rpm-libs-4.16.1.3-12.amzn2022.0.2.x86_64

rpm-sign-libs-4.16.1.3-12.amzn2022.0.2.aarch64

rpm-sign-libs-4.16.1.3-12.amzn2022.0.2.x86_64

system-release-2022.0.20220928-0.amzn2022.noarch

vim-data-9.0.327-1.amzn2022.0.1.noarch

vim-minimal-9.0.327-1.amzn2022.0.1.aarch64

vim-minimal-9.0.327-1.amzn2022.0.1.x86_64

yum-4.12.0-2.amzn2022.0.1.noarch

AMI predefinito

bind-libs-9.16.27-1.amzn2022.aarch64

bind-libs-9.16.27-1.amzn2022.x86_64

bind-license-9.16.27-1.amzn2022.noarch

bind-utils-9.16.27-1.amzn2022.aarch64

bind-utils-9.16.27-1.amzn2022.x86_64

cloud-init-22.2.2-1.amzn2022.1.4.noarch

dnf-4.12.0-2.amzn2022.0.1.noarch

dnf-data-4.12.0-2.amzn2022.0.1.noarch

dracut-055-6.amzn2022.0.4.aarch64

dracut-055-6.amzn2022.0.4.x86_64

dracut-config-generic-055-6.amzn2022.0.4.aarch64

dracut-config-generic-055-6.amzn2022.0.4.x86_64

glib2-2.73.2-678.amzn2022.aarch64

glib2-2.73.2-678.amzn2022.x86_64

gmp-6.2.1-2.amzn2022.aarch64

gmp-6.2.1-2.amzn2022.x86_64

grep-3.8-1.amzn2022.0.1.aarch64

grep-3.8-1.amzn2022.0.1.x86_64

kpatch-runtime-0.9.4-7.amzn2022.noarch

libgcc-11.3.1-2.amzn2022.0.6.aarch64

libgcc-11.3.1-2.amzn2022.0.6.x86_64

libgomp-11.3.1-2.amzn2022.0.6.aarch64

libgomp-11.3.1-2.amzn2022.0.6.x86_64

libpkgconf-1.7.3-7.amzn2022.0.1.aarch64

libpkgconf-1.7.3-7.amzn2022.0.1.x86_64

libstdc-11.3.1-2.amzn2022.0.6.aarch64

libstdc-11.3.1-2.amzn2022.0.6.x86_64

lz4-libs-1.9.4-1.amzn2022.aarch64

lz4-libs-1.9.4-1.amzn2022.x86_64

- pcre-8.44-3.amzn2022.1.aarch64

- pcre-8.44-3.amzn2022.1.x86_64

pkgconf-1.7.3-7.amzn2022.0.1.aarch64

pkgconf-1.7.3-7.amzn2022.0.1.x86_64

pkgconf-m4-1.7.3-7.amzn2022.0.1.noarch

pkgconf-pkg-config-1.7.3-7.amzn2022.0.1.aarch64

pkgconf-pkg-config-1.7.3-7.amzn2022.0.1.x86_64

python3-dnf-4.12.0-2.amzn2022.0.1.noarch

python3-rpm-4.16.1.3-12.amzn2022.0.2.aarch64

python3-rpm-4.16.1.3-12.amzn2022.0.2.x86_64

rpm-4.16.1.3-12.amzn2022.0.2.aarch64

rpm-4.16.1.3-12.amzn2022.0.2.x86_64

rpm-build-libs-4.16.1.3-12.amzn2022.0.2.aarch64

rpm-build-libs-4.16.1.3-12.amzn2022.0.2.x86_64

rpm-libs-4.16.1.3-12.amzn2022.0.2.aarch64

rpm-libs-4.16.1.3-12.amzn2022.0.2.x86_64

rpm-plugin-selinux-4.16.1.3-12.amzn2022.0.2.aarch64

rpm-plugin-selinux-4.16.1.3-12.amzn2022.0.2.x86_64

rpm-plugin-systemd-inhibit-4.16.1.3-12.amzn2022.0.2.aarch64

rpm-plugin-systemd-inhibit-4.16.1.3-12.amzn2022.0.2.x86_64

rpm-sign-libs-4.16.1.3-12.amzn2022.0.2.aarch64

rpm-sign-libs-4.16.1.3-12.amzn2022.0.2.x86_64

slang-2.3.2-9.amzn2022.0.1.aarch64

slang-2.3.2-9.amzn2022.0.1.x86_64

systemd-250.8-1.amzn2022.0.1.aarch64

systemd-250.8-1.amzn2022.0.1.x86_64

systemd-libs-250.8-1.amzn2022.0.1.aarch64

systemd-libs-250.8-1.amzn2022.0.1.x86_64

systemd-networkd-250.8-1.amzn2022.0.1.aarch64

systemd-networkd-250.8-1.amzn2022.0.1.x86_64

systemd-pam-250.8-1.amzn2022.0.1.aarch64

systemd-pam-250.8-1.amzn2022.0.1.x86_64

systemd-resolved-250.8-1.amzn2022.0.1.aarch64

systemd-resolved-250.8-1.amzn2022.0.1.x86_64

systemd-udev-250.8-1.amzn2022.0.1.aarch64

systemd-udev-250.8-1.amzn2022.0.1.x86_64

system-release-2022.0.20220928-0.amzn2022.noarch

vim-common-9.0.327-1.amzn2022.0.1.aarch64

vim-common-9.0.327-1.amzn2022.0.1.x86_64

vim-data-9.0.327-1.amzn2022.0.1.noarch

vim-enhanced-9.0.327-1.amzn2022.0.1.aarch64

vim-enhanced-9.0.327-1.amzn2022.0.1.x86_64

vim-filesystem-9.0.327-1.amzn2022.0.1.noarch

vim-minimal-9.0.327-1.amzn2022.0.1.aarch64

vim-minimal-9.0.327-1.amzn2022.0.1.x86_64

wget-1.21.3-1.amzn2022.aarch64

wget-1.21.3-1.amzn2022.x86_64

yum-4.12.0-2.amzn2022.0.1.noarch

AMI minimo

cloud-init-22.2.2-1.amzn2022.1.4.noarch

dnf-4.12.0-2.amzn2022.0.1.noarch

dnf-data-4.12.0-2.amzn2022.0.1.noarch

dracut-055-6.amzn2022.0.4.aarch64

dracut-055-6.amzn2022.0.4.x86_64

dracut-config-generic-055-6.amzn2022.0.4.aarch64

dracut-config-generic-055-6.amzn2022.0.4.x86_64

glib2-2.73.2-678.amzn2022.aarch64

glib2-2.73.2-678.amzn2022.x86_64

gmp-6.2.1-2.amzn2022.aarch64

gmp-6.2.1-2.amzn2022.x86_64

grep-3.8-1.amzn2022.0.1.aarch64

grep-3.8-1.amzn2022.0.1.x86_64

libgcc-11.3.1-2.amzn2022.0.6.aarch64

libgcc-11.3.1-2.amzn2022.0.6.x86_64

libgomp-11.3.1-2.amzn2022.0.6.aarch64

libgomp-11.3.1-2.amzn2022.0.6.x86_64

libstdc-11.3.1-2.amzn2022.0.6.aarch64

libstdc-11.3.1-2.amzn2022.0.6.x86_64

lz4-libs-1.9.4-1.amzn2022.aarch64

lz4-libs-1.9.4-1.amzn2022.x86_64

- pcre-8.44-3.amzn2022.1.aarch64

- pcre-8.44-3.amzn2022.1.x86_64

python3-dnf-4.12.0-2.amzn2022.0.1.noarch

python3-rpm-4.16.1.3-12.amzn2022.0.2.aarch64

python3-rpm-4.16.1.3-12.amzn2022.0.2.x86_64

rpm-4.16.1.3-12.amzn2022.0.2.aarch64

rpm-4.16.1.3-12.amzn2022.0.2.x86_64

rpm-build-libs-4.16.1.3-12.amzn2022.0.2.aarch64

rpm-build-libs-4.16.1.3-12.amzn2022.0.2.x86_64

rpm-libs-4.16.1.3-12.amzn2022.0.2.aarch64

rpm-libs-4.16.1.3-12.amzn2022.0.2.x86_64

rpm-plugin-selinux-4.16.1.3-12.amzn2022.0.2.aarch64

rpm-plugin-selinux-4.16.1.3-12.amzn2022.0.2.x86_64

rpm-plugin-systemd-inhibit-4.16.1.3-12.amzn2022.0.2.aarch64

rpm-plugin-systemd-inhibit-4.16.1.3-12.amzn2022.0.2.x86_64

rpm-sign-libs-4.16.1.3-12.amzn2022.0.2.aarch64

rpm-sign-libs-4.16.1.3-12.amzn2022.0.2.x86_64

systemd-250.8-1.amzn2022.0.1.aarch64

systemd-250.8-1.amzn2022.0.1.x86_64

systemd-libs-250.8-1.amzn2022.0.1.aarch64

systemd-libs-250.8-1.amzn2022.0.1.x86_64

systemd-networkd-250.8-1.amzn2022.0.1.aarch64

systemd-networkd-250.8-1.amzn2022.0.1.x86_64

systemd-pam-250.8-1.amzn2022.0.1.aarch64

systemd-pam-250.8-1.amzn2022.0.1.x86_64

systemd-resolved-250.8-1.amzn2022.0.1.aarch64

systemd-resolved-250.8-1.amzn2022.0.1.x86_64

systemd-udev-250.8-1.amzn2022.0.1.aarch64

systemd-udev-250.8-1.amzn2022.0.1.x86_64

system-release-2022.0.20220928-0.amzn2022.noarch

vim-data-9.0.327-1.amzn2022.0.1.noarch

vim-minimal-9.0.327-1.amzn2022.0.1.aarch64

vim-minimal-9.0.327-1.amzn2022.0.1.x86_64

yum-4.12.0-2.amzn2022.0.1.noarch